<template>
  <div class="grid md:grid-cols-4 grid-cols-1 gap-3">
    

    <!-- box -->
    <div>
      <!-- only applies white backround with rounded corners, you will have to add more classes to adjust height and width -->
      <div class="box w-full h-52 flex justify-center items-center">
        Box
      </div>
    </div>


    <!-- button -->
    <div class="space-x-3">
      <!-- use btn with these color classes-->
      <button class="btn green"> Green</button>
       
      

      <button class="btn orange">
        Orange
      </button>

      <button class="btn red">
        Red
      </button>
    </div>

    <!-- text input -->
    <div>
      <input class="input w-full" placeholder="Text input"/>
    </div>


    <!-- dropdown -->
    <select class="dropdown">
      <option>Dropdown</option>
      <option>Option 2</option>
      <option>Option 3</option>
    </select>


    <!-- time input -->
    <div>
      <input class="input w-full" type="time"/>
    </div>


    <!-- date input -->
    <div>
      <input class="input w-full" type="date"/>
    </div>


    <!-- datetime input -->
    <div>
      <input class="input w-full" type="datetime-local"/>
    </div>


    <!-- titles. h3 should be used wildly -->
    <div>
      <h1>H1 Title</h1>
      <h2>H2 Title</h2>
      <h3>H3 Title</h3>
    </div>

    <div class="h-80"></div>

  </div>
</template>